%define	name gcube
%define	version 0.4
%define distsuffix plf
%define	release %mkrel 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Nintendo Gamecube emulator
Group: Emulators
License: GPL
URL: http://gcube.exemu.net
Source0: http://gcube.exemu.net/downloads/%{name}-%{version}-src.tar.bz2
Patch0: gcube-0.4-nostrip.patch
BuildRoot: %{_tmppath}/%{name}-build
BuildRequires: SDL-devel >= 1.2.7
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel
BuildRequires: GL-devel
ExclusiveArch: %ix86 x86_64 ppc

%description
A Nintendo Gamecube emulator which uses SDL.
There is no GUI to select your roms yet.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -qn %{version}
%patch0 -p1

%build
%make release CPU="" ENABLE_SOUND=1 OPTFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%ifarch %ix86
ASM_X86=1
%else
ASM_X86=0
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m0755 bin2dol %{buildroot}%{_bindir}
install -m0755 gcmap %{buildroot}%{_bindir}
install -m0755 gcube %{buildroot}%{_bindir}
install -m0755 isopack %{buildroot}%{_bindir}
install -m0755 thpview %{buildroot}%{_bindir}
install -m0755 tplx %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc COPYING README README.debug

%changelog
* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 0.4-1plf2008.0
- First PLF package by Zombie Ryushu
